Move Evaluator

Move the Evaluator to a different path or change the name.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Evaluator.

Request

This endpoint expects an object.
pathstringOptional
Path of the Evaluator including the Evaluator name, which is used as a unique identifier.
namestringOptional
Name of the Evaluator, which is used as a unique identifier.

Response

Successful Response
pathstring
Path of the Evaluator including the Evaluator name, which is used as a unique identifier.
idstring
Unique identifier for the Evaluator.
specobject
namestring
Name of the Evaluator, which is used as a unique identifier.
version_idstring
Unique identifier for the specific Evaluator Version. If no query params provided, the default deployed Evaluator Version is returned.
created_atdatetime
updated_atdatetime
last_used_atdatetime
version_logs_countinteger
The number of logs that have been generated for this Evaluator Version
total_logs_countinteger
The number of logs that have been generated across all Evaluator Versions
inputslist of objects
Inputs associated to the Evaluator. Inputs correspond to any of the variables used within the Evaluator template.
directory_idstring
ID of the directory that the file is in on Humanloop.
version_namestring
Unique name for the Evaluator version. Version names must be unique for a given Evaluator.
version_descriptionstring
Description of the version, e.g., the changes made in this version.
descriptionstring
Description of the Evaluator.
schemamap from strings to any
The JSON schema for the File.
readmestring
Long description of the file.
tagslist of strings
List of tags associated with the file.
type"evaluator"
environmentslist of objects
The list of environments the Evaluator Version is deployed to.
created_byany
The user who created the Evaluator.
evaluatorslist of objects
Evaluators that have been attached to this Evaluator that are used for monitoring logs.
evaluator_aggregateslist of objects
Aggregation of Evaluator results for the Evaluator Version.
attributesmap from strings to any
Additional fields to describe the Evaluator. Helpful to separate Evaluator versions from each other with details on how they were created or used.

Errors

422
Move Evaluators ID Patch Request Unprocessable Entity Error